Subject: Re: [PATCH RFC v2 2/7] Makefile: introduce infrastructure to build internal Rust library

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 8 Sep 2025 08:41:34 +0200

On Sat, Sep 06, 2025 at 09:58:44PM -0700, Elijah Newren wrote:
> On Fri, Sep 5, 2025 at 4:51 AM Patrick Steinhardt <[email-masked]> wrote:
> > @@ -3768,6 +3808,7 @@ clean: profile-clean coverage-clean cocciclean
> >         $(RM) $(FUZZ_PROGRAMS)
> >         $(RM) $(SP_OBJ)
> >         $(RM) $(HCC)
> > +       $(RM) -r target/ Cargo.lock
> >         $(RM) version-def.h
> >         $(RM) -r $(dep_dirs) $(compdb_dir) compile_commands.json
> >         $(RM) $(test_bindir_programs)
> >
> > --
> > 2.51.0.417.g1ba7204a04.dirty
> 
> Johannes provided some additional tooling (an extra library to
> download from git-for-windows) that was needed for building and
> linking against Rust on Windows, which Ezekiel incorporated into his
> series.  Is that not needed here for some reason, or are we just not
> discovering that it's needed since you haven't created a test balloon
> yet?

As Rust is opt-in initially we can take it slow and first land a minimum
viable change with limited platform support. So I intentionally limited
the scope for now, but once this series lands we (or I) should iterate
and also bring up other platforms.

Patrick